---
type: api
title: Delete organization invitations
description: Deletes one or more organization invitations. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-organization-invitations
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-organization-invitations
products:
  - Elastic Cloud Hosted
---

# Delete organization invitations

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `DELETE` `/organizations/{organization_id}/invitations/{invitation_tokens}`

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization
- `invitation_tokens` (string)
  CSV list of Invitation tokens

## Description

Deletes one or more organization invitations. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

Organization invitations deleted successfully

`application/json`

Type: `EmptyResponse`

#### `400`

No valid invitation token was supplied. (code: `root.invalid_data`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

* Organization not found. (code: `organization.not_found`)
* Invitation not found. (code: `organization.invitation_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /organizations/{organization_id}/invitations/{invitation_tokens}
```

#### curl

```curl
curl -X DELETE "https://api.elastic-cloud.com/api/v1/organizations/{organization_id}/invitations/{invitation_tokens}"
```

